%{?mingw_package_header}

%global pkgname giflib

Name:          mingw-%{pkgname}
Version:       5.1.4
Release:       %mkrel 1
Summary:       MinGW Windows %{pkgname} library
License:       MIT
Group:         Development/Other
BuildArch:     noarch
URL:           http://www.sourceforge.net/projects/%{pkgname}/
Source:        http://downloads.sourceforge.net/%{pkgname}/%{pkgname}-%{version}.tar.bz2
# Fix heap overflow in giffix (CVE-2015-7555, #1293372)
Patch0:        giflib_CVE-2015-7555.patch

BuildRequires: mingw32-filesystem >= 95
BuildRequires: mingw32-gcc

BuildRequires: mingw64-filesystem >= 95
BuildRequires: mingw64-gcc


%description
MinGW Windows giflib library.


%package -n mingw32-%{pkgname}
Summary:       MinGW Windows %{pkgname} library

%description -n mingw32-%{pkgname}
%{summary}.


%package -n mingw32-%{pkgname}-static
Summary:       Static version of the MinGW Windows %{pkgname} library
Requires:      mingw32-%{pkgname} = %{version}-%{release}

%description -n mingw32-%{pkgname}-static
%{summary}.


%package -n mingw32-%{pkgname}-tools
Summary:       Tools for the MinGW Windows %{pkgname} library
Requires:      mingw32-%{pkgname} = %{version}-%{release}

%description -n mingw32-%{pkgname}-tools
%{summary}.


%package -n mingw64-%{pkgname}
Summary:       MinGW Windows %{pkgname} library

%description -n mingw64-%{pkgname}
%{summary}.


%package -n mingw64-%{pkgname}-static
Summary:       Static version of the MinGW Windows %{pkgname} library
Requires:      mingw64-%{pkgname} = %{version}-%{release}

%description -n mingw64-%{pkgname}-static
%{summary}.


%package -n mingw64-%{pkgname}-tools
Summary:       Tools for the MinGW Windows %{pkgname} library
Requires:      mingw64-%{pkgname} = %{version}-%{release}

%description -n mingw64-%{pkgname}-tools
%{summary}.


%{?mingw_debug_package}


%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -p1


%build
%mingw_configure
%mingw_make %{?_smp_mflags}


%install
%mingw_make DESTDIR=%{buildroot} install

# Delete *.la files
find %{buildroot} -name '*.la' -exec rm -f {} ';'


%files -n mingw32-%{pkgname}
%doc AUTHORS ChangeLog NEWS README
%license COPYING
%{mingw32_bindir}/libgif-7.dll
%{mingw32_includedir}/gif_lib.h
%{mingw32_libdir}/libgif.dll.a

%files -n mingw32-%{pkgname}-static
%{mingw32_libdir}/libgif.a

%files -n mingw32-%{pkgname}-tools
%{mingw32_bindir}/*.exe

%files -n mingw64-%{pkgname}
%doc AUTHORS COPYING NEWS README
%license COPYING
%{mingw64_bindir}/libgif-7.dll
%{mingw64_includedir}/gif_lib.h
%{mingw64_libdir}/libgif.dll.a

%files -n mingw64-%{pkgname}-static
%{mingw64_libdir}/libgif.a

%files -n mingw64-%{pkgname}-tools
%{mingw64_bindir}/*.exe




%changelog
* Wed May 11 2016 tv <tv> 5.1.4-1.mga6
+ Revision: 1012693
- new release

* Mon Feb 08 2016 umeabot <umeabot> 5.0.4-6.mga6
+ Revision: 943924
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 5.0.4-5.mga5
+ Revision: 740258
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.0.4-4.mga5
+ Revision: 682438
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 5.0.4-3.mga4
+ Revision: 536195
- Mageia 4 Mass Rebuild

* Sun Sep 22 2013 neoclust <neoclust> 5.0.4-2.mga4
+ Revision: 483634
- imported package mingw-giflib

